Bug 999259 - Clean up Build.PL
Clean up Build.PL
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
3.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jeff Fearn
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-20 23:40 EDT by Jeff Fearn
Modified: 2013-12-18 21:46 EST (History)
2 users (show)

See Also:
Fixed In Version: 4.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-18 21:46:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Fearn 2013-08-20 23:40:36 EDT
Build.PL has build requires that can't be determined running `perl Build.PL` this needs to be changed so it works properly.

e.g. if you don't have File::pushd installed you can't run the install_deps target.
Comment 2 HSS Product Manager 2013-09-23 02:47:51 EDT
HSS-QE has reviewed and declined this request. QE for this bug will be handled by IED.
Comment 3 Jeff Fearn 2013-09-23 19:16:02 EDT
Reworked includes so that deps can bet installed properly from scratch.

To ssh://git.fedorahosted.org/git/publican.git
   87804ea..6347b27  HEAD -> devel
Comment 4 Ruediger Landmann 2013-10-10 23:44:26 EDT
Verified in publican-3.9.9-0.fc19.t4.noarch

perl Build.PL fails immediately if File::pushd isn't installed:

Can't locate File/pushd.pm in @INC
Comment 5 Jeff Fearn 2013-10-10 23:55:50 EDT
(In reply to Ruediger Landmann from comment #4)
> Verified in publican-3.9.9-0.fc19.t4.noarch
> 
> perl Build.PL fails immediately if File::pushd isn't installed:
> 
> Can't locate File/pushd.pm in @INC

This describes the original problem, it should not die like this. It should give the "missing dep" message and ask you to install them.
Comment 6 Jeff Fearn 2013-10-11 02:40:18 EDT
To ssh://git.fedorahosted.org/git/publican.git
   f158668..3384a72  HEAD -> devel
Comment 7 Ruediger Landmann 2013-10-11 02:57:43 EDT
OK, it now reports:

$ perl Build.PL
Checking prerequisites...
  requires:
    !  File::pushd is not installed
  build_requires:
    !  File::pushd is not installed

ERRORS/WARNINGS FOUND IN PREREQUISITES.  You may wish to install the versions
of the modules indicated above before proceeding with this installation

Run 'Build installdeps' to install missing prerequisites.

Note You need to log in before you can comment on or make changes to this bug.